
%global meadversion 1.5.6
%global namedversion 1.5.6.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.5.6.redhat-1

Name:           xml-security
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache XML Security for Java
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: xmlsec-1.5.6.redhat-1-scm-sources.zip
Source102: xmlsec-1.5.6.redhat-1-sources.jar
Source103: xmlsec-1.5.6.redhat-1.jar
Source104: xmlsec-1.5.6.redhat-1.pom
Source105: xmlsec-1.5.6.redhat-1-javadoc.jar
%endif

URL:            http://santuario.apache.org/
Obsoletes:      apache-xmlsec <= 0:1.4.5-1.1_redhat_2%{?dist}
Provides:       apache-xmlsec = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xmlsec-%{namedversion}-%{release}-root

%description
Apache XML Security for Java supports XML-Signature Syntax and Processing,
W3C Recommendation 12 February 2002, and XML Encryption Syntax and
Processing, W3C Recommendation 10 December 2002. As of version 1.4, the
library supports the standard Java API JSR-105: XML Digital Signature APIs.

%if %with javadoc
%package -n xmlsec-javadoc
Summary:        Javadoc for xmlsec
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n xmlsec-javadoc
%{summary}.
%endif

%prep
%setup -q -n santuario-java -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-xmlsec.pom

# depmaps
%add_to_maven_depmap org.apache.santuario xmlsec %{namedversion} JPP xmlsec
[ %{name} = "xmlsec" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/xmlsec

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xmlsec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xmlsec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xmlsec-%{namedversion} -x META-INF/\*
%{__ln_s} xmlsec-%{namedversion} %{buildroot}%{_javadocdir}/xmlsec
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%doc CHANGELOG.txt NOTICE LICENSE
%{_javadir}/xmlsec-%{namedversion}.jar
%{_javadir}/xmlsec.jar
%exclude %{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%exclude %{_javadir}/xmlsec-javadoc.jar
%{_javadir}/xmlsec-%{namedversion}-sources.jar
%{_javadir}/xmlsec-sources.jar
%{_mavenpomdir}/JPP-xmlsec.pom
%{_mavendepmapfragdir}/xmlsec

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xmlsec-%{namedversion}
%{_javadocdir}/xmlsec
%{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%{_javadir}/xmlsec-javadoc.jar
%endif

%changelog
* Thu Aug 28 2014 David Walluck <dwalluck@redhat.com> - 1.5.6-2.redhat_1.1
- remove all Requires

* Mon Jun 09 2014 David Walluck <dwalluck@redhat.com> 0:1.5.6-2
- remove non-MEAD code
- fix javadoc option and installation
- fix Summary, description, Group, and URL
- remove incorrect Requires
- fix setup
- fix doc install
- fix macro in changelog

* Tue Jan 14 2014 Yong Yang <yyang@redhat.com> - 1.5.6-1.redhat_1.1
- Upgrade to 1.5.6

* Tue Jan 14 2014 Yong Yang <yyang@redhat.com> - 1.5.6-1.redhat_1.1
- Upgrade to 1.5.6

* Tue Jan 14 2014 Yong Yang <yyang@redhat.com> - 1.5.6-1.redhat_1.1
- Upgrade to 1.5.6

* Tue Jan 14 2014 Yong Yang <yyang@redhat.com> - 0:1.5.6-redhat_1
- Upgrade to 1.5.6

* Tue Oct 15 2013 Lin Gao <lgao@redhat.com> - 0:1.5.5-2.redhat_2
- Rebuild to use inner git repository for CC
- Use new version/release mechnism

* Thu Jul 04 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.5.5-1.redhat_1
- Upgrade to 1.5.5

* Thu Feb 07 2013 Yong Yang <yyang@redhat.com> - 0:1.5.3-1.redhat_1
- Upgrade to 1.5.3

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.2-2.redhat_1
- Rebuild for MD5

* Mon Aug 28 2012 Hui Wang <huwang@redhat.com> - 0:1.5.2-1.redhat_1
- Upgrade to 1.5.2

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.1-2.redhat_2.1.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.1-2.redhat_1.1.1
- Rebuild using cache signing

* Wed May 23 2012 Fernando Nasser <fnasser@redhat> 0:1.5.1-2.redhat_1.1
- Remove javadoc from SRPM and do not build javadoc subpackage either
- Fix reltag

* Mon Mar 26 2012 Hui Wang <huwang@redhat> 0:1.5.1-1_redhat_1.1
- Upgrade to 1.5.1

* Thu Mar 01 2012 Fernando Nasser <fnasser@redhat> 0:1.4.5-4.1
- Populate java-signed

* Thu Feb 09 2012 David Walluck <dwalluck@redhat> 0:1.4.5-4
- replace commons-logging by jcl-over-slf4j
- update jboss-parent version in pom
- remove version properties from pom

* Thu Feb 09 2012 David Walluck <dwalluck@redhat> 0:1.4.5-3
- fix bad file list that caused javadoc in main package
- add rm -rf %%{buildroot} to %%install
- add Requires(post/postun): jpackage-utils
- add license to package
- non-mead build is maven-based, not ant-based, now

* Thu Jan 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.5-2_redhat_1.1
- Build with new wrapper from MEAD build of
  org.apache.santuario-xmlsec

* Fri Jan 20 2012 Yong Yang <yyang@redhat.com> - 0:1.4.5-1.1_redhat_1
- rpm build for 1.4.5

* Mon Nov 28 2011 Lin Gao <lgao@redhat.com> - 0:1.4.5-1_redhat_1
- Upgrade to 1.4.5
- mead build

* Tue Aug 23 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-5_redhat_1
- Build for Werewolf

* Tue Jul 12 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-4
- Add BuildArch

* Mon Jul 11 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-3
- Rebuild

* Mon Jul 11 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-2
- Rebuild

* Mon Jul 11 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-1
- First build
